#!/bin/bash
#SBATCH -p pdebug
#SBATCH -N 8
#SBATCH -n 64
#SBATCH -t 00:05:30
#SBATCH --job-name="NWchem"

cd $SLURM_SUBMIT_DIR

export I_MPI_EXTRA_FILESYSTEM=on
export I_MPI_EXTRA_FILESYSTEM_LIST=lustre
export OMP_NUM_THREADS=1

cd /p/lscratchh/wang116/applications/nwchem-6.8.1/h2o_scf
lfs setstripe -c 8 -S 4M ./

rm -rf ./perm/*
rm -rf ./scratch/*

LD_PRELOAD=/g/g90/wang116/sources/Recorder/lib/librecorder.so srun ../bin/nwchem ./h2o_scf.nw

#LD_PRELOAD=/g/g90/wang116/sources/darshan-3.2.1/darshan-runtime/lib/libdarshan.so srun ../bin/nwchem ./h2o_scf.nw
#LD_PRELOAD=/g/g90/wang116/sources/pilgrim/install/lib/libpilgrim.so srun ../bin/nwchem ./h2o_scf.nw
